<div class="container">
  <h1>Register</h1>

  <form [formGroup]="form" (ngSubmit)="submit()">
    <div class="form-row">
      <div class="form-group col-6">
        <label>First name :</label>
        <input type="text"
               class="form-control" [ngClass]="{ 'is-invalid': submitted && f.firstName.errors, 'is-valid': !f.firstName.errors }"
               formControlName="firstName">

        <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
          <div *ngIf="f.firstName.errors.required">First name is required</div>
        </div>
      </div>

      <div class="form-group col-6">
        <label>Last name :</label>
        <input type="text"
               class="form-control" [ngClass]="{ 'is-invalid': submitted && f.lastName.errors, 'is-valid': !f.lastName.errors }"
               formControlName="lastName">

        <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
          <div *ngIf="f.lastName.errors.required">Last name is required</div>
        </div>
      </div>
    </div>

    <div class="form-group">
      <label>Email :</label>
      <input type="email"
             class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors, 'is-valid': !f.email.errors }"
             formControlName="email">

      <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
        <div *ngIf="f.email.errors.required">Email is required</div>
        <div *ngIf="f.email.errors.email">Email must be a valid email address</div>
      </div>
    </div>

    <div class="form-group">
      <label>Password :</label>
      <input type="password"
             class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors, 'is-valid': !f.password.errors }"
             formControlName="password">

      <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
        <div *ngIf="f.password.errors.required">Password is required</div>
      </div>
    </div>

    <div class="form-group">
      <label>Confirm password :</label>
      <input type="password"
             class="form-control" [ngClass]="{ 'is-invalid': submitted && f.confirmPassword.errors, 'is-valid': !f.confirmPassword.errors }"
             formControlName="confirmPassword">

      <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback">
        <div *ngIf="f.confirmPassword.errors.required">Password is required</div>
        <div *ngIf="f.confirmPassword.errors.mustMatch">Passwords must be the same</div>
      </div>
    </div>

    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>
